Page MenuHomePhabricator

Wikimedia Technical Conference 2018 Session - Improving the translation process
Closed, ResolvedPublic

Description

Session Themes and Topics

  • Theme: Defining our products, users and use cases
  • Topic: Localization

Session Leader

  • Santhosh Thottingal

Facilitator

  • Leszek Manicki

Description

Translation of content between language projects and localization of our products are important for helping new projects add content and for enabling collaboration between cultures. This session looks into the ways we accomplish this now and tries to identify our goals for the improvements we want to make to these processes.

Notes for the session: https://docs.google.com/document/d/1rQWYAr3JQGp3KctXm_OzZ63vYX_czExxYTtEeugG-gM

Questions to answer during this session

QuestionSignificance: Why is this question important? What is blocked by it remaining unanswered?
How can localization practices be made consistent and well-integrated with translatewiki and our other language infrastructure? How do we normalize the method of handling multilingual content (different projects vs. single project)? How do we handle variants in a consistent sustainable way?This will identify the various translation workflows, identifying the necessary elements in the architecture. TranslateWiki is a community maintained project and outside of WIkimedia Infrastructure. This has many impacts (integration and security) that we should evaluate.
How do we improve translations and moving content across languages?This will address changes that need to be made to improve the translation workflow to enable better and faster translations.
What are the use cases of machine translation in our current and future projects? Can the machine translation service built for the Content Translation project be used for talk pages, image caption translation in commons, updating existing articles, etc.?Currently most communication on wikis is within a single language due to how projects are architected. If more collaboration is desired across languages, especially in non-language specific projects, then we need to build tools that support communication including machine assisted translations of conversations.

Facilitator Instructions

  1. A one page handout for participants is prepared and available at https://docs.google.com/document/d/1UGKyCKVLMEzw4ni0T-GwFS9Feq-LFTcq8FJv72Bq66w/edit?usp=sharing This should be distributed in the beginning of the session. It has background information about the topics.
  2. Time division(total one hour):
  • 5 mins to present the topic
  • 5 mins to explain the process we follow for the discussion(this is the first session in the tech conf)
  • 15 mins each for working out 3 questions, including activity, discussions(45 mins)
  • 5 mins for concluding

See also: https://www.mediawiki.org/wiki/Wikimedia_Technical_Conference/2018/Session_Guide#Session_Guidance_for_facilitators

Facilitator and Scribe notes

https://docs.google.com/document/d/1rQWYAr3JQGp3KctXm_OzZ63vYX_czExxYTtEeugG-gM/edit

Resources:

Session Structure

  • Define session scope, clarify desired outcomes, present agenda
  • Discuss Focus Areas
    • Discuss and Adjust. ''Note that we are not trying to come to a final agreement, we are just prioritizing and assigning responsibilities!''
    • For each proposition [add etherpad link here]
      • Decides whether there is (mostly) agreement or disagreement and the proposition(s).
      • Decide whether there is more need for discussion on the topic, and how urgent or important that is.
      • Identify any open questions that need answering from others, and from who (product, ops, etc)
      • Decides who will drive the further discussion/decision process (ie: a four month deadline)
  • Discuss additional strategy questions [add etherpad link here]. For each question:
    • Decide whether it is considered important.
    • Discuss who should answer it.
    • Decide who will follow up on it.
  • Wrap up

Session Leaders please:

  • Add more details to this task description.
  • Coordinate any pre-event discussions (here on Phab, IRC, email, hangout, etc).
  • Outline the plan for discussing this topic at the event.
  • Optionally, include what it will not try to solve.
  • Update this task with summaries of any pre-event discussions.
  • Include ways for people not attending to be involved in discussions before the event and afterwards.

Post-event Summary:

  • ...

Action items:

  • ...

Event Timeline

debt created this task.Oct 2 2018, 10:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 2 2018, 10:46 PM
kchapman renamed this task from Wikimedia Technical Conference 2018 Session - Supporting localization / How architecture choices impact design to Wikimedia Technical Conference 2018 Session - Improving the translation process.Oct 3 2018, 1:10 AM
debt updated the task description. (Show Details)Oct 4 2018, 11:49 PM
debt added a subscriber: santhosh.
debt updated the task description. (Show Details)Oct 10 2018, 1:59 PM
debt assigned this task to santhosh.Oct 17 2018, 11:32 PM
debt updated the task description. (Show Details)
debt edited subscribers, added: WMDE-leszek; removed: santhosh.

What are the use cases of machine translation in our current and future projects?

This has been, imho, extensively discussed in the last developer summit and after that. We have MT apis in cxserver that can be made available to other products. Notably integrating it to discussions is blocked on the unclarity of MediaWiki discussion systems itself. And I keep repeating the risks and concerns relying on closed source MT providers. I suggest to discuss something else.

santhosh updated the task description. (Show Details)Oct 18 2018, 7:43 PM
santhosh updated the task description. (Show Details)Oct 19 2018, 12:38 AM
Quiddity updated the task description. (Show Details)Oct 19 2018, 11:37 PM
ITait updated the task description. (Show Details)Oct 22 2018, 10:53 PM
ITait updated the task description. (Show Details)
Kghbln added a subscriber: Kghbln.Oct 23 2018, 12:30 AM
Quiddity updated the task description. (Show Details)Oct 24 2018, 12:19 AM

Hello! We are starting to ramp up on session creation for the 2019 Wikimedia Technical Conference. If there is no longer anything remaining to do here please close this task to avoid confusion.

Nikerabbit closed this task as Resolved.Sep 12 2019, 7:55 AM